Name: 			gtypist
Version: 		2.8.3
Release: 		3%{?dist}
Summary: 		GNU typing tutor
Group: 			Applications/Text
License:		GPLv3+
Url: 			ftp://ftp.gnu.org/gnu/gtypist
Source0: 		ftp://ftp.gnu.org/gnu/gtypist/gtypist-2.8.3.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		emacs
BuildRequires:		gettext
BuildRequires:		ncurses-devel
Requires:		fortune-mod
Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info

%define emacs_sitelisp %{_datadir}/emacs/site-lisp

%description
GNU Typist (or gtypist) is free software that assists you in learning
to type correctly.

It is intended to be used on a raw terminal without graphics. It has
been compiled and used in Unix (GNU/Linux, Aix, Solaris, openBSD) and
also in DOS/Windows (DOS 6.22, Windows 98, Windows XP).

%package -n emacs-%{name}
Summary:		GNU typing tutor
Group:			Applications/Text
Requires:		emacs

%description -n emacs-%{name}
GNU Typist (or gtypist) is free software that assists you in learning
to type correctly.

This package contains support for emacs major-mode gtypist-mode which
does syntax-highlighting, indentation and has some convenient commands
for counting labels, a goto-label-command, inserting properly centered
banners, special comments and a bit more.

%prep
%setup -q
pushd doc
iconv --from=ISO-8859-1 --to=UTF-8 gtypist.info > gtypist.info.utf8
mv gtypist.info.utf8 gtypist.info
popd

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
%find_lang %name
rm -vf $RPM_BUILD_ROOT/usr/share/info/dir

mkdir -p $RPM_BUILD_ROOT/%{emacs_sitelisp}/site-start.d
cat > gtypist-init.el <<EOF
(autoload 'gtypist-mode "gtypist-mode")
(setq auto-mode-alist (append '(("\\.typ$" . gtypist-mode)) auto-mode-alist))
EOF
cp gtypist-init.el $RPM_BUILD_ROOT/%{emacs_sitelisp}/site-start.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files -f %name.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS NEWS COPYING QUESTIONS ChangeLog README INSTALL THANKS TODO  
%{_bindir}/*
%{_datadir}/%{name}
%{_infodir}/*
%{_mandir}/man1/*

%files -n emacs-%{name}
%defattr(-,root,root)
%doc COPYING
%{emacs_sitelisp}/gtypist-mode.el
%{emacs_sitelisp}/gtypist-mode.elc
%{emacs_sitelisp}/site-start.d/gtypist-init.el

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Zing <zing@fastmail.fm> - 2.8.3-2
- add license text to emacs-gtypist subpackage

* Wed May 19 2010 Zing <zing@fastmail.fm> - 2.8.3-1
- update to 2.8.3
- fixes long standing bug of error rate display
- translation updates

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug  8 2008 Zing <zing@fastmail.fm> - 2.8.1-1
- update to 2.8.1
- license change to GPLv3+

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.7-6
- Autorebuild for GCC 4.3

* Thu Aug 16 2007 Zing <zing@fastmail.fm> - 2.7-5
- conform to Fedora Licensing Guidelines

* Fri Sep  8 2006 Zing <zing@fastmail.fm> - 2.7-4
- rebuild for FE6

* Mon Jun 12 2006 Zing <zing@fastmail.fm> - 2.7-3
- do not use makeinstall macro
- rm info dir file from buildroot?

* Wed Jun  7 2006 Zing <zing@fastmail.fm> - 2.7-2
- add preun pkg check before running install-info

* Wed Jun  7 2006 Zing <zing@fastmail.fm> - 2.7-1
- Initial RPM release.
